none
SDK Windows Phone 8 RRS feed

  • Pregunta

  • Buenos días,

    Tengo la siguiente duda respecto a la instalación del SDK de Windows Phone 8:

    Cumplo los requisitos de hardware pero quería saber si teniendo instalado el Visual Studio Professional 2012 Versión de 32 Bit es necesario desistalarlo antes de instalar el sdk. Mi duda surge a raíz de los requisitos de hardware que piden arquitectura 64 para el emulador... El visual Studio express que te instala el sdk será de 64? tendré problemas de compatibilidad? Me gustaría poder seguir trabajando con la edición Professional pero como la que tengo es de 32 bit.

    Gracias. 

    viernes, 2 de noviembre de 2012 9:31

Respuestas

  • Hola, no te preocupes por eso, puedes instalarlo sin problemas, lo único que exige es que el sistema operativo sea de 64 bits, y que yo sepa no hay ninguna versión de Visual Studio de 64 bits. Es más, hace tiempo leí un post de algún miembro del equipo de desarrollo, indicando las razones por las que no hay, ni habría, una versión de 64 bits. Así que no sé si algún día cambiarán de opinión, pero a día de hoy sigue igual.

    Un saludo.


    viernes, 2 de noviembre de 2012 9:49

Todas las respuestas

  • Hola, no te preocupes por eso, puedes instalarlo sin problemas, lo único que exige es que el sistema operativo sea de 64 bits, y que yo sepa no hay ninguna versión de Visual Studio de 64 bits. Es más, hace tiempo leí un post de algún miembro del equipo de desarrollo, indicando las razones por las que no hay, ni habría, una versión de 64 bits. Así que no sé si algún día cambiarán de opinión, pero a día de hoy sigue igual.

    Un saludo.


    viernes, 2 de noviembre de 2012 9:49
  • Ok muchas gracias por resolver mi consulta.

    Un saludo. :-)

    viernes, 2 de noviembre de 2012 10:21
  • Una pregunta mi hardware es de 32 bits, no  hay un SDK de Windows Phone 8 para 32 bits?
    domingo, 4 de noviembre de 2012 22:20
  • Hola JosmelNoel

    No, el SDK de Windows Phone 8 requiere un Windows 8 de 64bits como mínimo para funcionar. De todas formas, ¿Qué procesador tienes? Hace ya mucho tiempo que los procesadores soportan 64 bits.

    Un saludo.


    MCTS - .NET 4.0 Windows Applications
    MCTS - .NET 4.0 Data Access
    MCTS - .NET 4.0 Service Communication Applications
    MCPD - .NET 4.0 Windows Developer
    Visita mi Blog en Geeks.ms
    Sigueme en Twitter

    lunes, 5 de noviembre de 2012 6:38
    Moderador
  • Creo que el requisito de que sea un sistema operativo de 64 bits se debe a que los emuladores de Windows Phone utilizan la tecnología Hyper-V (de hecho son máquinas virtuales normales pero con emulación de ARM) y esa tecnología sólo está disponible en Windows 8 de 64 bits.

    Lo que ya no sé es si se instalará el SDK o no. En una de las pruebas que hice lo instalé sobre un W8 no PRO y se instaló, pero luego no dejaba lanzar los emuladores.

    (Por cierto, respondo desde Chrome porque IE sobre W8 me da "error inesperado". En fins. :-P).


    MVP Visual C++ - Visita mi blog sobre desarrollo: http://geeks.ms/blogs/rfog/

    lunes, 5 de noviembre de 2012 10:11
  • Hola!

    El propio SDK requiere Win8 64Bits, además para los emuladores necesitas HyperV y SLAT:

    http://www.microsoft.com/en-us/download/details.aspx?id=35471

    Un saludo!


    MCTS - .NET 4.0 Windows Applications
    MCTS - .NET 4.0 Data Access
    MCTS - .NET 4.0 Service Communication Applications
    MCPD - .NET 4.0 Windows Developer
    Visita mi Blog en Geeks.ms
    Sigueme en Twitter

    lunes, 5 de noviembre de 2012 17:14
    Moderador